This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1295249 - Review Request: python-gatspy - General tools for Astronomical Time Series in Python
Review Request: python-gatspy - General tools for Astronomical Time Series in...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: William Moreno
Fedora Extras Quality Assurance
:
Depends On: 1295237
Blocks: Astronomy-SIG
  Show dependency treegraph
 
Reported: 2016-01-03 20:40 EST by Christian Dersch
Modified: 2016-02-12 07:19 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-12 06:51:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
williamjmorenor: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Christian Dersch 2016-01-03 20:40:39 EST
Spec URL: https://lupinix.fedorapeople.org/review/python-gatspy.spec
SRPM URL: https://lupinix.fedorapeople.org/review/python-gatspy-0.2.1-1.fc23.src.rpm

Description: Gatspy contains efficient, well-documented implementations of several common routines for Astronomical time series analysis, including the Lomb-Scargle periodogram, the Supersmoother method, and others.

Fedora Account System Username: lupinix

Thank you for review in advance!
Comment 1 Christian Dersch 2016-01-17 15:04:38 EST
Any news on this?
Comment 2 Upstream Release Monitoring 2016-01-18 17:51:59 EST
williamjmorenor's scratch build of python-gatspy-0.2.1-1.fc23.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12597308
Comment 3 William Moreno 2016-01-18 17:56:28 EST
Sorry for the late feedback but my build is failing in f23 and rawhide.
Comment 4 Upstream Release Monitoring 2016-01-18 18:46:43 EST
lupinix's scratch build of python-gatspy-0.2.1-2.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12597694
Comment 5 Christian Dersch 2016-01-18 19:11:04 EST
Spec URL: https://lupinix.fedorapeople.org/review/python-gatspy.spec
SRPM URL: https://lupinix.fedorapeople.org/review/python-gatspy-0.2.1-2.fc23.src.rpm

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=12597694

Thank you for performing the review :) I had to disable the tests as they fetch some light curves from the internet, which doesn't work with Koji and is even not allowed for Fedora... https://fedoraproject.org/wiki/Packaging:Guidelines#Build_time_network_access

I think we can go on without tests so far, I filed a ticket upstream: https://github.com/astroML/gatspy/issues/21
Comment 6 Upstream Release Monitoring 2016-01-20 09:39:44 EST
lupinix's scratch build of python-gatspy-0.2.1-3.fc23.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12620387
Comment 7 Upstream Release Monitoring 2016-01-20 09:51:14 EST
lupinix's scratch build of python-gatspy-0.2.1-3.fc23.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12620459
Comment 8 Upstream Release Monitoring 2016-01-20 10:07:09 EST
lupinix's scratch build of python-gatspy-0.2.1-3.fc23.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12620578
Comment 9 Upstream Release Monitoring 2016-01-20 11:01:26 EST
lupinix's scratch build of python-gatspy-0.2.1-3.fc23.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12621044
Comment 10 Upstream Release Monitoring 2016-01-20 11:09:45 EST
lupinix's scratch build of python-gatspy-0.2.1-3.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12621096
Comment 11 Christian Dersch 2016-01-20 12:01:40 EST
Spec URL: https://lupinix.fedorapeople.org/review/python-gatspy.spec
SRPM URL: https://lupinix.fedorapeople.org/review/python-gatspy-0.2.1-3.fc23.src.rpm

Created patch which skips tests requiring network accesswhen being offline, submitted upstream (see comment in spec)
Comment 12 Christian Dersch 2016-02-02 19:32:19 EST
Any news on this?
Comment 13 William Moreno 2016-02-03 12:07:45 EST
License OK
%license macro OK
License in all subpackages OK
No bundled libs OK
No orphans packages OK
Macros OK
Naming OK
Build in Rawhide OK
Install FAILS
No bundleb egg.info OK

Remove al shebangs in prep to avoid the python3 package requires the python(abi).
Requires
--------
python3-gatspy (rpmlib, GLIBC filtered):
    python(abi)
    python3-astroML
    python3-supersmoother

Source checksums
----------------
http://pypi.python.org/packages/source/g/gatspy/gatspy-0.2.1.tar.gz :
  CHECKSUM(SHA256) this package     : 1bd1ac97b153285ee1a09354f1d3d1d7bb75b3951546aa219cb6e7d82a21ed6b
  CHECKSUM(SHA256) upstream package : 1bd1ac97b153285ee1a09354f1d3d1d7bb75b3951546aa219cb6e7d82a21ed6b

Check the python shebangs an this package will be ready.
Comment 14 Christian Dersch 2016-02-03 12:14:40 EST
I don't understand the problem with python(abi) (as with astroquery):

Provides: python3-gatspy = 0.2.1-3.fc24
Requires(rpmlib): rpmlib(CompressedFileNames) <= 3.0.4-1 rpmlib(FileDigests) <= 4.6.0-1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
Requires: python(abi) = 3.5
Recommends: python3-astroML-addons

http://koji.fedoraproject.org/koji/getfile?taskID=12621097&name=build.log&offset=-4000
Comment 15 William Moreno 2016-02-03 12:17:23 EST
It is true, the dependency is fine.

Package aproved
===============
Comment 16 Christian Dersch 2016-02-03 12:29:55 EST
Thank you very much :)
Comment 17 Gwyn Ciesla 2016-02-03 12:44:38 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python-gatspy
Comment 18 Fedora Update System 2016-02-03 18:10:11 EST
python-gatspy-0.2.1-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6ebe790da3
Comment 19 Fedora Update System 2016-02-03 18:11:02 EST
python-gatspy-0.2.1-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f5ae03d868
Comment 20 Fedora Update System 2016-02-04 20:23:08 EST
python-gatspy-0.2.1-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f5ae03d868
Comment 21 Fedora Update System 2016-02-04 20:24:25 EST
python-gatspy-0.2.1-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6ebe790da3
Comment 22 Fedora Update System 2016-02-12 06:51:37 EST
python-gatspy-0.2.1-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 23 Fedora Update System 2016-02-12 07:19:36 EST
python-gatspy-0.2.1-3.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.